import type { Diagnostic } from 'vscode-languageserver-types';
import type { Task, TaskProgressRenderer } from './task-runner';
/** Get the lines representing the summary of the results */
export declare function getSummary({ errors, warnings, skipped, fileCount, duration, }: {
    /** Error count */
    errors: number;
    /** Warning count */
    warnings: number;
    /** number of skipped files */
    skipped?: number;
    /** File Count */
    fileCount: number;
    /** How long this took */
    duration: number | undefined;
}): string;
/** Format the results for printing on the console */
export declare function formatDiagnosticResults(filePath: string, results: Diagnostic[], verbose?: boolean): {
    lines: string[];
    errors: number;
    warnings: number;
};
/** Get the symbol for a given task */
export declare const getTaskSymbol: (task: Task<any, any>) => string;
export declare const validationRenderer: TaskProgressRenderer<Diagnostic[], {
    /** the file name */
    file: string;
}>;
//# sourceMappingURL=diag-renderer.d.ts.map